Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 532522 - Review request: hessian - Binary web service protocol
Summary: Review request: hessian - Binary web service protocol
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 252095 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-11-02 18:00 UTC by Mary Ellen Foster
Modified: 2010-12-17 15:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 15:24:06 UTC


Attachments (Terms of Use)

Description Mary Ellen Foster 2009-11-02 18:00:46 UTC
Spec URL: http://www.macs.hw.ac.uk/~mef3/review/hessian.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/review/hessian-4.0.1-1.fc12.src.rpm
Description:
The Hessian binary web service protocol makes web 
services usable without requiring a large framework, 
and without learning yet another alphabet soup of 
protocols. Because it is a binary protocol, it is 
well-suited to sending binary data without any need 
to extend the protocol with attachments.



This package was imported from JPackage

Comment 1 Jason Tibbitts 2009-11-02 20:26:37 UTC
*** Bug 252095 has been marked as a duplicate of this bug. ***

Comment 2 Jason Tibbitts 2010-11-06 01:14:50 UTC
I don't know if you're still interested in submitting this, but there are some issues with the spec that need fixing, and it's a bit behind the current guidelines.  Honestly I'd just rewrite the thing and dump the annoying jpackage license junk, but that's up to you.

If you insist on using the "%{__mkdir}" forms instead of just using "mkdir" and such, you need to do it consistently, so use "%{__sed}" as well.  Or just drop them and save the typing.

You should not use the versioned javadoc stuff.

Modern Fedora doesn't need BuildRoot:, %clean or the first line of %install.

The current upstream version seems to be 4.0.7.


Note You need to log in before you can comment on or make changes to this bug.